Bug 67829 - X-term wierdness and Traceback
X-term wierdness and Traceback
Status: CLOSED RAWHIDE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
unspecified
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-02 13:20 EDT by Matt Jamison
Modified: 2007-07-31 15:03 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-10 13:31:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josef Komenda 2002-07-02 13:20:21 EDT
Description of Problem:After the 'Oracle connection information' screen, an
x-window pops up and starts streaming data, and when it closes, there's a
traceback in the console window: 

None
Traceback (innermost last):
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/mnt/cdrom/usr/sbin/satinstall", line 412, in onOracleInfoPageNext
    satInstall.installSchema(self.username, self.password, self.sid,terminal)
  File "/mnt/cdrom//usr/share/rhn/satinstall/satInstall.py", line 183, in
installSchema
    if ret:
NameError: ret

Is this supposed to be some kind of status indicator? 


Version-Release number of selected component (if applicable): see bug 63780
Comment 1 Adrian Likins 2002-07-02 14:22:40 EDT
This should be fixed with last nights commit.
Comment 2 Josef Komenda 2002-07-03 11:21:39 EDT
Using installer built at 03-Jul-2002 10:49 from QA, CVS version .99.3.1, no
change, install fails. Perhaps there are rpm's missing? I notice that
up2dateAuth.py and transports.py were worked on, and those aren't in my download
tree:

up2date -d --nosig apache apache-devel mod_perl `up2date --showall
--channel=redhat-rhn-satellite-i386-7.2 | sed 's/-[^-]*-[^-]*$//' | grep -v tk`

Comment 3 Josef Komenda 2002-07-03 12:26:16 EDT
Sorry - that didn't make a lot of sense... just trying to be sure I'm
downloading everything I should for the iso built.
Comment 4 Ben Levenson 2002-07-09 16:59:25 EDT
There was no traceback with the "09-Jul-2002 11:52" installer.iso. 
Currently a couple of status windows pop up. IIRC, the first one indicates
the status of namespace clearing. The second just kind of pops up and does
nothing.  The processes are obviously running (as evidenced by the lack of
window refresh), but the status window doesn't really provide any useful
information.
Comment 5 Adrian Likins 2002-07-10 13:30:55 EDT
I'll take a look at why the second window never draws.

It's about as close as I can get to a useful progress feedback
at the moment.
Comment 6 Josef Komenda 2002-07-10 17:14:27 EDT
Fixed in latest installer (installer_10jul02_1521.iso). Closing.

Note You need to log in before you can comment on or make changes to this bug.